Ask Your Question
0

How to upgrade or downgrade nova-compute in liberty

asked 2016-06-22 04:52:57 -0500

ajithpathiyil gravatar image

Hi Team,

I am trying to add a new compute node to my existing setup on Ubuntu LTS 14.04

I have encountered the same problem as in (https://ask.openstack.org/en/question...),

My Controller node Nova is (2:12.0.0) Existing compute nodes (2:12.0.1) -> This version successfully communicate's with controller My new compute node is (2:12.0.3) -> This version fails to communicate with controller

Any help in downgrading my new compute node's version to same as controller's or the existing compute nodes will be appreciated.

edit retag flag offensive close merge delete

2 answers

Sort by » oldest newest most voted
0

answered 2016-06-22 15:24:14 -0500

Vinoth gravatar image

Hi,

This could help, http://www.hellovinoth.com/upgrading-...

Thanks,

Vinoth

edit flag offensive delete link more

Comments

Thanks for the reply.

I did a manual downgrade of nova-compute to 2:12.0.1 version as I do not have plans to upgrade.

However, your reply will be helpful while upgrade plans..many thanks

ajithpathiyil gravatar imageajithpathiyil ( 2016-06-24 00:14:56 -0500 )edit
0

answered 2016-06-23 02:15:38 -0500

updated 2016-06-23 02:16:29 -0500

To upgrade nova follow below steps

Stop all nova services

for i in /etc/init.d/openstack-nova-*;do $i stop; done

Drop the nova database, create the new one and import the nova database from cluster:

mysql -u root nova < backup-liberty/liberty-nova-db-backup.sql

Replace the nova configuration files

cp -f backup-liberty/nova-liberty/* /etc/nova/

Don’t forget to make sure that the credentials for rabbitmq and mysql on the controller and compute nodes in /etc/nova/nova.conf file are correct ( No need if do in same setup)

Change the permissions on the /etc/nova directory:

chown -R nova:nova /etc/nova

Update the nova database:

Blockquote nova-manage db_sync

Start the nova services, restart the openstack-nova-compute service on the compute nodes, and test. Note :Be careful not to start nova-metadata if you use the neutron-metadata-service

Check service running properly as by nova manage tool " nova-manage service list"

edit flag offensive delete link more

Comments

Thanks for the reply.

I did a manual downgrade of nova-compute to 2:12.0.1 version as I do not have plans to upgrade.

However, your reply will be helpful while upgrade plans..many thanks

ajithpathiyil gravatar imageajithpathiyil ( 2016-06-24 00:14:56 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2016-06-22 04:52:57 -0500

Seen: 678 times

Last updated: Jun 23 '16